// hose assembly javascript
var styles = {'A':'Straight - Straight','B':'Straight - 45 degree','C':'Straight - 90 degree','D':'45 degree - 45 degree','E':'45 degree - 90 degree','F':'90 degree - 90 degree'};

var firesleeves = {'BL':'Blue','BR':'Brown','TEF':'None','OR':'Orange','RUB':'None','PUR':'Purple'};

var hoses = {
'AE466': {
  'sizes': {'-3':'B','-4':'E','-5':'F','-6':'G','-8':'H','-10':'J','-12':'K','-16':'M'  },
  'types': {
/*    'BL': {
      'A':'AE1014035',
      'B':'AE1014036',
      'C':'AE1014037',
      'D':'AE6681',
      'E':'AE6682',
      'F':'AE6680'}, */
    'BR': {
      'A':'AE3663161',
      'B':'AE3663162',
      'C':'AE3663163',
      'D':'AE6208',
      'E':'AE6209',
      'F':'AE6210'}
  }
},
'666': {
  'sizes': {'-3':'B','-4':'E','-5':'F','-6':'G','-8':'H','-10':'J','-12':'K','-16':'M'  },
  'types': {
    'TEF': {
      'A':'AE3660000',
      'B':'AE3660060',
      'C':'AE3660120'},
    'OR': {
      'A':'AE3660001',
      'B':'AE3660061',
      'C':'AE3660121'}
  }
},
'303': {
  'sizes': {'-3':'-3','-4':'-4','-5':'-5','-6':'-6','-8':'-8D','-10':'-10D','-12':'-12D','-16':''  },
  'types': {
    'RUB': {
      'A':'350',
      'B':'950012',
      'C':'950004'},
    'OR': {
      'A':'624000',
      'B':'624040',
      'C':'624023'}
  }
},
'306': {
  'sizes': {'-2':'-2D','-3':'-3D','-4':'-4D','-6':'-6D','-8':'-8D','-10':'-10D'  },
  'types': {
    'RUB': {
      'A':'359'},
    'OR': {
      'A':'624972'}
  }
},
'AE701': {
  'sizes': {'-3':'B','-4':'E','-5':'F','-6':'G','-8':'H','-10':'J','-12':'K','-16':'M'  },
  'types': {
    'RUB': {
      'A':'AE7010000',
      'B':'AE7010100',
      'C':'AE7010200'},
    'OR': {
      'A':'AE7010001',
      'B':'AE7010101',
      'C':'AE7010201'}
  }
}/* AE866 is not available at this time 10/15/15
,
'AE866': {
  'sizes': {'-3':'B','-4':'E','-5':'F','-6':'G','-8':'H','-10':'J','-12':'K','-16':'M'  },
  'types': {
    'PUR': {
      'A':'AE3663962',
      'B':'AE3664017',
      'C':'AE3663948',
      'D':'AE6749',
      'E':'AE6750',
      'F':'AE6751'}
  }
}*/
};

var eaton = '';

function validate_eaton() {

  $('.pn').html('');
  $('.addtocart').attr('pn','');
  $('.price').html('');

  if (eaton=='') return;

  $.ajax({
    type: 'POST',
    url: '/js/hoseassy.php',
    data: {tag:eaton, ta:$('#twistangle').val()},
    async: false,
    dataType: 'json',
    timeout: 30000,
    cache: false,
    success: function(r) {
      $('.addtocart').attr('pn',r[0]);
      $('.price').html('$ ' + r[1].toFixed(2));
      if (r[0]!=''){ 
        $('.pn').html(eaton);
        $('#eaton_number').val(eaton);
      }else{
        alert(eaton+' is not a valid Eaton Hose part number');
	  }
    }
  });
}

$(document).ready(function() {
  var h;

  $('#hose').empty();
  $('#firesleeve').empty();
  $('#style').empty();
  $('#size').empty();
  $('#length').val('');
  $('#eaton_number').val('');
  $('.price').html('');
  $('.addtocart').attr('pn','');

  $('#hose').append("<option value=''>Select a hose type</option>");
  for(h in hoses)
    $('#hose').append("<option value='"+h+"'>"+h+"</option>");
  $('#hose').change(function() {
    var hose = $(this).val();
    var fs;

    $('#firesleeve').empty();
    $('#style').empty();
    $('#size').empty();

    $('#firesleeve').append("<option value=''>Select a firesleeve, if any</option>");
    for(fs in hoses[hose].types) {
      $('#firesleeve').append("<option value='"+fs+"'>"+firesleeves[fs]+"</option>");
    }    
  });

  $('#firesleeve').change(function() {
    var hose = $('#hose').val();
    var fs = $(this).val();
    var style;

    $('.addtocart').attr('pn','');
    $('#style').empty();
    $('#size').empty();
    $('#style').append("<option value=''>Select a style</option>");
    for(style in hoses[hose].types[fs]) {
      $('#style').append("<option value='"+style+"'>"+styles[style]+"</option>");
    }    

    eaton = '';
    $('.pn').html('');
    $('.price').html('');
  });

  $('#style').change(function() {
    var hose = $('#hose').val();
    var fs = $('#firesleeve').val();
    var style = $(this).val();
    var size;

    $('.addtocart').attr('pn','');
    $('#size').empty();
    $('#size').append("<option value=''>Select a size</option>");
    for(size in hoses[hose].sizes) {
      if (hoses[hose].sizes[size]!='')
        $('#size').append("<option value='"+hoses[hose].sizes[size]+"'>"+size+"</option>");
    }    
    eaton = '';
    $('.pn').html('');
    $('.price').html('');
  });

  $('#size').change(function() {
    var hose = $('#hose').val();
    var fs = $('#firesleeve').val();
    var style = $('#style').val();
    var size = $(this).val();

    $('.addtocart').attr('pn','');
    $('.pn').html('');
    $('.price').html('');
    eaton = '';
    if ($('#length').val()!='') $('#length').trigger('change');

  });

  $('#length').change(function() {
    var hose = $('#hose').val();
    var fs = $('#firesleeve').val();
    var style = $('#style').val();
    var size = $('#size').val();
    var len;
    var inches;
    var eights;
    var parts;

    $('.addtocart').attr('pn','');
    spruce.evalnum($(this).val(),3,$(this));
    len = $(this).val();

    $('.pn').html('');
    eaton = hoses[hose].types[fs][style]+size;
    if (size[0]=='-') {
      if (size[size.length-1]!='D')
        eaton += '-';
      else if (hoses[hose].types[fs][style]=='350')
        eaton = '360'+size;
    }

    parts = len.split('.');
    if (parts.length == 2) {
      inches = parseInt(parts[0]);
      switch(parseInt(parts[1])) {
        case 125: eights=1; break;
        case 250: eights=2; break;
        case 375: eights=3; break;
        case 500: eights=4; break;
        case 625: eights=5; break;
        case 750: eights=6; break;
        case 875: eights=7; break;
        default: eights=0; break;
      }
    } else {
      inches = parseInt(len);
      eights=0;
    }

    if (inches < 100) eaton += '0';
    if (inches < 10 ) eaton += '0';
    eaton = eaton + inches + eights; 
    validate_eaton();
  });

  $('#eaton_number').change(function() {
    eaton=$(this).val();
    eaton = eaton.toUpperCase();
    $(this).val(eaton);
    $('.pn').html('');
    validate_eaton();
  });

  $('.addtocart').click(function() {
    var assy;
    var qty;

    assy = $(this).attr('pn');
    if (assy=='') return;	// no part number has been derived

    qty = $('.qty').val();
    if (qty == '') {
      $('.qty').focus();
      return;
    }

    var url = 'cmd=additems';
    url+='&p[]='+assy+'&q[]='+qty;
    url+='&continue_url='+encodeURIComponent(window.location);
    window.location='/neworderform.php?'+url;
  });
});


